require 'rho/rhocontroller'
require 'helpers/browser_helper'
require 'lib/rho_bugfix.rb'

class TicketsController < Rho::RhoController
  include BrowserHelper
  
  def index
    redmine = Redmine.find(:first)
    req = Rho::AsyncHttp.get(url: "http://#{redmine.uri}/projects/#{@params['id']}/issues.json?key=#{redmine.api_key}")
    if req['status'] == 'ok'
      @issues = req['body']['issues']
    end
    render
  end

  def show
    redmine = Redmine.find(:first)
    req = Rho::AsyncHttp.get(url: "http://#{redmine.uri}/issues/#{@params['id']}.json?key=#{redmine.api_key}")
    if req['status'] == 'ok'
      @issue = req['body']['issue']
    end
    render
  end
end
